#version 330 core
layout (location = 0) out vec4 color;
layout (location = 1) out vec4 brightness;

in VertexData {
    vec3 FragPos;
    vec3 Normal;
    vec2 TexCoords;
} vert;

uniform vec3 lightColor;

void main()
{           
	color = vec4(lightColor, 1.0);
	brightness = dot(color.rgb, vec3(0.2126, 0.7152, 0.0722));
	if(brightness > 1.0)
        	brightness = vec4(FragColor.rgb, 1.0);
	else
		brightness = vec4(0.0, 0.0, 0.0, 1.0);
}