#version 420

layout (location = 0) in vec4 Position;
layout (location = 1) in vec4 Velocity;
uniform mat4 ModelViewMatrix;

out vData
{
	float TTL1;
	int type1;
} vertex;


void main()
{ 

	gl_Position = ModelViewMatrix * vec4(Position.xyz, 1.0f);
	vertex.TTL1 = Position.w;
	vertex.type1 = int(Velocity.w);
}